<template>
    <div class="base-foot bg-fake-white">
        <div>
            <div class="haed-foot centered brand">
                <div class="txt-gray6-dark">Midorya</div>
            </div>
            <div class="centered">
                <div style="display: flex">
                    <div class="blockitem">
                        <div class="btn-wrap txt-gray6-dark" @click.prevent="setPopup(isLang.popup.msg1, 'prime')">
                            <div class="icon-case">
                                <instagram-nb size="icon-30" />
                            </div>
                        </div>
                    </div>
                    <div class="blockitem">
                        <div class="btn-wrap txt-gray6-dark" @click.prevent="setPopup(isLang.popup.msg1, 'prime')">
                            <div class="icon-case">
                                <pinterest-nb size="icon-30" />
                            </div>
                        </div>
                    </div>
                    <div class="blockitem">
                        <div class="btn-wrap txt-gray6-dark" @click.prevent="setPopup(isLang.popup.msg1, 'prime')">
                            <div class="icon-case">
                                <youtube-nb size="icon-30" />
                            </div>
                        </div>
                    </div>
                    <div class="blockitem">
                        <div class="btn-wrap txt-gray6-dark" @click.prevent="setPopup(isLang.popup.msg1, 'prime')">
                            <div class="icon-case">
                                <twitter-nb size="icon-30" />
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="foot-child centered" @click.prevent="setPopup(isLang.popup.msg1, 'prime')">{{isLang.home.foot.l1}}</div>
            <div class="foot-child centered" @click.prevent="setPopup(isLang.popup.msg1, 'prime')">{{isLang.home.foot.l2}}</div>
            <div class="centered copy-right txt-gray6-dark">Démonstration © Midorya, 2022</div>
        </div>
    </div>
</template>

<script setup lang="ts">
import langStore from '../store/langStore';
import popup from '../store/popup';
import InstagramNb from './logos/InstagramNb.vue';
import PinterestNb from './logos/PinterestNb.vue';
import YoutubeNb from './logos/YoutubeNb.vue';
import TwitterNb from './logos/TwitterNb.vue';

const { isLang } = langStore;
const { setPopup } = popup;

</script>

<style scoped>
.base-foot {
    margin: 0;
    padding: 30px;
}
.head-foot {
    margin: 0;
    padding: 20px;
}
img {
    height: 70px;
}
.foot-child {
    padding: 10px;
    font-weight: 600;
}
.copy-right {
    padding: 5px;
    font-style: italic;
}
</style>